Status: Reopen Bugs Testing Done Start date: 08/19/2022
Priority: Normal Due date: 08/22/2022
Assignee: Amal Ck % Done: 90%
Category: Estimated time: 24:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 27.00 Code Reviewed By:

Module: Service Grouping

Description

Coding Service Grouping

In travel-data.service.ts
public IstServiceGroupingSysType = [

"bInDisable": false, "blnActive": false, "strRemarks": " },
"strRemarks": " }]

{ "intld": 1, "strLabel": "Service", "binDisable": false, "bInActive": true, "strRemarks

"intld": 2, "strLabel": "Service Stock", "blnDisable": false, "blnActive": false, "strRemarks":

I3

}, {"intld": 3, "strLabel": "Package",

{ "intld": 4, "strLabel": "Inventory", "bInDisable": false, "blnActive": false,

{

History

#1 - 08/18/2022 07:57 PM - Anil KV

In GUI change

1) Remove Inventory checkbox
2) add Grouping Type select box
3) Add Status

#2 - 08/19/2022 02:05 PM - Anand V Gopal
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#3 - 08/25/2022 02:17 PM - Anand V Gopal

- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

- Time Taken(HH) set to 27.00

#4 - 11/30/2022 03:15 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.RESIZE GRID COLUMNS

#5 - 12/01/2022 10:59 AM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#6 - 01/18/2023 11:38 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.FIX ALIGNMENT BUGS OF LABELS ( CREATED BY & MODIFIED BY)

#7 - 02/06/2023 06:09 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 05/23/2023 06:31 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix bugs on label - Grid Head

#9 - 05/25/2023 06:10 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#10 - 10/07/2023 05:15 PM - Junaid M

- Assignee changed from Anand V Gopal to Abhiram Venu

#11 - 10/16/2023 11:06 AM - Abhiram Venu
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#12 - 10/16/2023 01:11 PM - Abhiram Venu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Recheck Requirred

#13 - 10/16/2023 04:41 PM - unnikannan S

- Tested By changed from Amal Cyriac to unnikannan S

TESTING DONE

#14 - 02/23/2024 04:00 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Service Group GUI Changes:-—

Done 1) List Grouping 'Grouping Type'
Done 2) Remove 'Grouping Type' Column from List

Done 3) Add Default Service Group - Create Blank DB:-

- Service -> (Grouping Type = Service)
- Package -> (Grouping Type = Package)

Done 4) Cannot allowed to change 'Grouping Type' if using the group in Service
Done 5) 'Service Group' Cannot delete if using the group in Service

#15 - 02/23/2024 06:07 PM - Anil KV

- Assignee changed from Abhiram Venu to Amal Siby

#16 - 02/26/2024 06:12 PM - Amal Siby

- Status changed from Reopen Bugs to New Changes

#17 - 03/01/2024 05:58 PM - Amal Siby
- Status changed from New Changes to New Changes Coding Done
- % Done changed from 50 to 70
#18 - 05/03/2024 10:50 AM - Junaid M

- Assignee changed from Amal Siby to Greeshma S

#19 - 09/05/2024 03:23 PM - Avinash MS
- Status changed from New Changes Coding Done to New Changes
- Assignee changed from Greeshma S to Amal Ck

- % Done changed from 70 to 50

New Change

Enable Inventory in Group Type

#20 - 09/05/2024 04:03 PM - Amal Ck
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#21 - 11/12/2024 05:20 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

1-CsModel.cs 1.35 KB 08/18/2022 Anil KV
2-tsModel.ts 1013 Bytes 08/18/2022 Anil KV
3-CsFile.cs 13.1 KB 08/18/2022 Anil KV
4-CsControllerFile.cs 24.6 KB 08/18/2022 Anil KV
5-TsFile.ts 13.8 KB 08/18/2022 Anil KV
6-HtmlFile.html 1.91 KB 08/18/2022 Anil KV
sql.sql 13.2 KB 08/18/2022 Anil KV
